#include "DIDevice.h"
DIDevice Input;

IDirectInput *DIDevice::DirectInput;

DIDevice::DIDevice()
{
	DirectInput = NULL;
}

DIDevice::~DIDevice()
{
	ReleaseDirectInput();
}

void DIDevice::Init(HWND Handle)
{
	hWnd = Handle; 

	DirectInputCreate((HINSTANCE)GetWindowLong(hWnd, GWL_HINSTANCE), DIRECTINPUT_VERSION, &DirectInput, NULL);
}

void DIDevice::ReleaseDirectInput()
{
	if(DirectInput)
	{
		DirectInput->Release();
		DirectInput = NULL;
	}
}