#ifndef DIKEYBOARD_H
#define DIKEYBOARD_H

#include "DIDevice.h"

class DIKeyboard : DIDevice
{
	static IDirectInputDevice *Keyboard;

public:
	char Key[256];

	DIKeyboard();
	~DIKeyboard();

	void Init();
	void SetAcquire();
	void Input();
	bool KeyPressed(int k);
	void DIKeyboard::ReleaseKeyboard();
};

extern DIKeyboard Keyboard;

#endif   // DIKEYBOARD_H
